Skip to main content
GET
/
custom_field_definitions
/
{definition_id}
/
options
List custom field options
curl --request GET \
  --url https://api.terminal49.com/v2/custom_field_definitions/{definition_id}/options \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "custom_field_option",
      "attributes": {
        "label": "<string>",
        "value": "<string>",
        "position": 123
      }
    }
  ],
  "links": {
    "last": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "first": "<string>",
    "self": "<string>"
  },
  "meta": {
    "size": 123,
    "total": 123
  }
}
List all options for a custom field definition.

Path parameters

ParameterDescription
definition_idThe unique identifier of the custom field definition

Authorizations

Authorization
string
header
required

Token YOUR_API_TOKEN

The APIs require authentication to be done using header-based API Key and Secret Authentication.

API key and secret are sent va the Authorization request header.

You send your API key and secret in the following way:

Authorization: Token YOUR_API_KEY

Path Parameters

definition_id
string
required

Custom field definition ID

Response

200 - application/json

OK

data
Custom field option ยท object[]
meta
meta ยท object